aboutsummaryrefslogtreecommitdiff
path: root/lint/ksh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lint/ksh.sh')
-rw-r--r--lint/ksh.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/lint/ksh.sh b/lint/ksh.sh
index 4cedc6f7..102e0e54 100644
--- a/lint/ksh.sh
+++ b/lint/ksh.sh
@@ -1,3 +1,6 @@
-find ksh \
- -type f -name '*.sh' -exec shellcheck -e SC1090 -s sh -- {} + -o \
- -type f -exec shellcheck -e SC1090 -s ksh -- {} +
+set \
+ ksh/kshrc \
+ ksh/kshrc.d/*.ksh
+shellcheck -e SC1090 -s ksh -- "$@" || exit
+shellcheck -e SC1090 -s sh -- ksh/shrc.d/ksh.sh || exit
+printf 'Korn shell dotfiles linted successfully.\n'